org.openmuc.openiec61850

## Enum BdaQuality.Validity

- java.lang.Object
- - java.lang.Enum<BdaQuality.Validity>
  - - org.openmuc.openiec61850.BdaQuality.Validity

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BdaQuality.Validity>

Enclosing class:
  BdaQuality

    public static enum BdaQuality.Validity
    extends java.lang.Enum<BdaQuality.Validity>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`GOOD`
`INVALID`
`QUESTIONABLE`
`RESERVED`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getIntValue()`
`static BdaQuality.Validity` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BdaQuality.Validity[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GOOD

    public static final BdaQuality.Validity GOOD

#### INVALID

    public static final BdaQuality.Validity INVALID

#### RESERVED

    public static final BdaQuality.Validity RESERVED

#### QUESTIONABLE

    public static final BdaQuality.Validity QUESTIONABLE

### Method Detail

#### values

    public static BdaQuality.Validity[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BdaQuality.Validity c : BdaQuality.Validity.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BdaQuality.Validity valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getIntValue

    public int getIntValue()